Skip to main content
POST
Submit Image Expand Task

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Body

application/json
img_url
string<uri>
required

Source image URL

Example:

"https://example.com/image.jpg"

original_image_size
string
required

Original image dimensions in pixels (width:height)

Example:

"512:512"

canvas_size
string
required

Total canvas dimensions in pixels (width:height)

Example:

"1024:1024"

original_image_location
string
required

Position of the original image's top-left corner on the canvas (x:y in pixels)

Example:

"256:256"

webhook_url
string<uri>

Callback URL where results will be sent when task completes

Example:

"https://your-server.com/webhook"

caller_id
integer<int64>

Caller ID (for business association)

Response

Task submitted successfully

status
integer

Business status code (0 indicates success)

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object